Subject: [Yang-multicast] Broadband Forum Multicast Yang

From: Marta Seda <[email-masked]>
Date: Tue, 28 Feb 2017 16:06:31 +0000

Hello,

I have been following the discussions in IETF on support of multicast igmp/mld yang.  I wanted this group to be aware that Broadband Forum has been working on a multicast yang model for layer 2 access devices.   The BBF yang models have been developed to satisfy the following common access requirements:

  *   Support of snoopers and proxies
  *   Support of igmpv2, igmpv3, mld2 (other older variants are largely not deployed on access devices therefore not considered).
  *   Support of open access (different subscribers on a layer 2 device can receive services of different providers).  Open access in the BBF model does not require SSM support (segregation is done via other means)
  *   Support of admission control (that limits how much bandwidth and channels are delivered)
  *   Support of access specific requirements (e.g., unauthorized joins)

Broadband Forum and IETF have collaborated in the past (e.g., deferred the development of yang models to respective standards bodies).  As I review the proposed IETF model, it seems that the IETF model is developed around layer 3 multicast routers (the IETF model augments from the routing module).  Therefore I see no need to align the two models (IETF is focusing on layer 3 devices whereas BBF is focusing on layer 2 devices).  The requirements of both product spaces is different.  However there may be some areas that there could be some collaboration. For example, the statistics are "similar" in both models (BBF has more statistics than IETF but IETF uses 64 bit counters whereas BBF chose 32 bits because of the desire to align to RFC 5519).  There are some attributes in the IETF model that I do not recognize and may be specific to multicast routers:

+--rw max-entries?   uint32 {global-max-entries}? Q:  There is the max-groups read/write attribute.  What specifically does the max-entries limit? What does this correspond to in RFC 5519?
  +--ro filter-mode?     Enumeration Q:  What does this correspond to in RFC 5519?

Best regards,

Marta Seda